Bug 1523082 - konqueror does not start a second time
Summary: konqueror does not start a second time
Keywords:
Status: ON_QA
Alias: None
Product: Fedora
Classification: Fedora
Component: konqueror
Version: 29
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Rex Dieter
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-12-07 08:04 UTC by Maurizio Paolini
Modified: 2019-03-01 02:38 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
KDE Software Compilation 401976 None None None 2018-12-29 14:46:52 UTC

Description Maurizio Paolini 2017-12-07 08:04:26 UTC
Description of problem: in a kde environment open konqueror, close it, open konqueror again: it does not start


Version-Release number of selected component (if applicable):
konqueror-17.08.1-1.fc27.i686

How reproducible: just using konqueror more then once in the same kde session


Steps to Reproduce:
1. enter a kde desktop
2. start konqueror (e.g. using kde start menu)
3. close the konqueror window (with the quit button or with the "close" button in the window title bar
4. start konqueror again

Actual results:
The konqueror window does not show up

Expected results:
You should get the koqueror window

Additional info:
It seems that the konqueror process stays alive after closing it and possibly this is one reason for the problem.  Indeed if I kill the konqueror process, then I can start it again as usual.
Also, it seems to me that the mechanism of using an already active konqueror
process when you start konqueror again is a new feature (that I do not now how to disable).

Comment 1 Ben Cotton 2018-11-27 17:55:02 UTC
This message is a reminder that Fedora 27 is nearing its end of life.
On 2018-Nov-30  Fedora will stop maintaining and issuing updates for
Fedora 27. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora  'version' of '27'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 27 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 2 Maurizio Paolini 2018-11-27 18:28:04 UTC
The problem is still present on Fedora 29,
konqueror-18.08.1-1.fc29.x86_64

Comment 3 Ian Laurie 2018-12-08 04:39:00 UTC
The issue is that it leaves a process active which blocks subsequent launches.  If you kill the lingering konqueror process via the task manager, you can launch it again.

Comment 4 Maurizio Paolini 2018-12-08 05:13:31 UTC
This is a workaround, however this issue seems a bug to me!

Comment 5 Rex Dieter 2018-12-10 00:33:51 UTC
I can confirm this happens reproducibly using the webengine backend.  webkit/khtml backends do not suffer from this.

2 things:
* this ought to be reported upstream to bugs.kde.org
* if upstream doesn't act in a reasonable amount of time, we can consider switching the default backend (to webkit)

Comment 6 Rex Dieter 2018-12-10 01:50:26 UTC
Tested latest 18.12.0 release.  

good news: konqueror does quit and start now

bad news: the "quit" part is a crash now instead of it just hanging

Comment 7 Maurizio Paolini 2018-12-10 17:38:39 UTC
Upstream there is already a bug report on this issue (just found)

https://bugs.kde.org/show_bug.cgi?id=258124

but it is really outdated, last entry is in 2016.
I will try to create a cross-reference there with a link to this bug report

Comment 8 Maurizio Paolini 2018-12-10 19:34:43 UTC
(In reply to Maurizio Paolini from comment #7)
> Upstream there is already a bug report on this issue (just found)
> 
> https://bugs.kde.org/show_bug.cgi?id=258124
> 
> but it is really outdated, last entry is in 2016.
> I will try to create a cross-reference there with a link to this bug report

I opened a new BUG report on bugs.kde.org:

https://bugs.kde.org/show_bug.cgi?id=401976

Comment 9 Fedora Update System 2018-12-10 22:22:19 UTC
konqueror-18.12.0-1.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-c7e6196529

Comment 10 Rex Dieter 2018-12-11 02:47:33 UTC
I have to take back comment #6 , it crashed on quit once (first time I tried it), now it still reproducibly hangs on quit and previously reported.  :(

Comment 11 Ian Laurie 2018-12-29 00:01:22 UTC
Given how profoundly fundamental to KDE konqueror has been over the years I am astonished this bug has been around for as long as it has been with seemingly no interest at the KDE side.  I can only presume konqueror is considered depreciated in light of dolphin and firefox.

Comment 12 Rex Dieter 2018-12-29 14:53:45 UTC
Your guess is fairly accurate, dolphin + falkon (or firefox or whatever) is generally preferable these days.

Given this has been languishing for awhile, I'll follow through on my threat from comment #5 and patch fedora's builds to use kwebkitpart by default instead.

%changelog
* Sat Dec 29 2018 Rex Dieter <rdieter@fedoraproject.org> - 18.12.0-2
- default to kwebkitpart until kwebenginepart works properly (#1523082,kde#401976)

Comment 13 Fedora Update System 2018-12-29 15:25:32 UTC
konqueror-18.12.0-2.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-c7e6196529

Comment 14 Rex Dieter 2018-12-29 20:46:07 UTC
Darn, my findings this time are different.  konqueror hangs on quit regardless of what rendering engine used (I tested all 3 available, kwebenginepart, kwebkitpart, khtml)

Comment 15 Fedora Update System 2018-12-30 03:17:14 UTC
konqueror-18.12.0-2.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-c7e6196529

Comment 16 Ian Laurie 2019-01-13 01:06:14 UTC
As Rex said, this is still not fixed.  I have a partial workaround as follows:

(1) Edit the /usr/share/applications/konqbrowser.desktop file and edit the line "Exec=konqueror" to read "Exec=/usr/local/bin/konqueror.sh"

(2) Create an executable file /usr/local/bin/konqueror.sh and set the contents to be "kill `ps -C konqueror -o pid=`; wait; konqueror &"

This runs konqueror via a script that kills the previous instance before launching a new one.  Of course this only works if you are content to have only one running instance (which is the case for me).

Yes, I know this is nasty, but it works for now for me.

Comment 17 Maurizio Paolini 2019-01-13 09:16:20 UTC
(In reply to Ian Laurie from comment #16)
> As Rex said, this is still not fixed.  I have a partial workaround as
> follows:
> 
> (1) Edit the /usr/share/applications/konqbrowser.desktop file and edit the
> line "Exec=konqueror" to read "Exec=/usr/local/bin/konqueror.sh"
> 
> (2) Create an executable file /usr/local/bin/konqueror.sh and set the
> contents to be "kill `ps -C konqueror -o pid=`; wait; konqueror &"
> 
> This runs konqueror via a script that kills the previous instance before
> launching a new one.  Of course this only works if you are content to have
> only one running instance (which is the case for me).
> 
> Yes, I know this is nasty, but it works for now for me.

I see the risk of losing open konqueror sessions by inardventently opening a new konqueror
instance.  We should need a way to know if the existing konqueror has e.g. open tabs...

Comment 18 Fedora Update System 2019-02-20 20:14:48 UTC
baloo-widgets-18.12.2-1.fc29 dolphin-18.12.2-1.fc29 dolphin-plugins-18.12.2-1.fc29 kate-18.12.2-1.fc29 konsole5-18.12.2-1.fc29 khelpcenter-18.12.2-1.fc29 konqueror-18.12.2-1.fc29 kfind-18.12.2-1.fc29 keditbookmarks-18.12.2-1.fc29 kdialog-18.12.2-1.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-cf6c31ef35

Comment 19 Rex Dieter 2019-02-20 22:35:25 UTC
reverting status, still no evidence this has been fixed in latest releases.

Comment 20 Rex Dieter 2019-02-20 22:38:23 UTC
OK, I think I may have a workaround, from the intial comment here,

> Also, it seems to me that the mechanism of using an already active konqueror

indeed, going to settings->configure konqueror -> performance -> 
*uncheck* always try to have one preloaded instance

seems to make konqueror start/restart reliably for me (at least for the 4-5 times I just tried it).  I'll do more testing.  If this helps, we can toggle that option off by default.

Comment 21 Maurizio Paolini 2019-02-20 22:47:35 UTC
(In reply to Rex Dieter from comment #20)

Indeed, it seems that unchecking that option works around the problem.

> OK, I think I may have a workaround, from the intial comment here,
> 
> > Also, it seems to me that the mechanism of using an already active konqueror
> 
> indeed, going to settings->configure konqueror -> performance -> 
> *uncheck* always try to have one preloaded instance
> 
> seems to make konqueror start/restart reliably for me (at least for the 4-5
> times I just tried it).  I'll do more testing.  If this helps, we can toggle
> that option off by default.

Comment 22 Ian Laurie 2019-02-21 00:46:50 UTC
For people who want to try this workaround, it won't work for the instance in which you make the change... that one will still need killing via the task manager, but from then on it seems to work.  At least that was my experience.

Comment 23 Fedora Update System 2019-02-22 13:58:37 UTC
baloo-widgets-18.12.2-1.fc29 dolphin-18.12.2-1.fc29 dolphin-plugins-18.12.2-1.fc29 kate-18.12.2-1.fc29 kdialog-18.12.2-1.fc29 keditbookmarks-18.12.2-1.fc29 kfind-18.12.2-1.fc29 khelpcenter-18.12.2-1.fc29 konqueror-18.12.2-2.fc29 konsole5-18.12.2-1.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-cf6c31ef35

Comment 24 Fedora Update System 2019-02-22 13:58:47 UTC
baloo-widgets-18.12.2-1.fc29 dolphin-18.12.2-1.fc29 dolphin-plugins-18.12.2-1.fc29 kate-18.12.2-1.fc29 kdialog-18.12.2-1.fc29 keditbookmarks-18.12.2-1.fc29 kfind-18.12.2-1.fc29 khelpcenter-18.12.2-1.fc29 konqueror-18.12.2-2.fc29 konsole5-18.12.2-1.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-cf6c31ef35

Comment 25 Fedora Update System 2019-02-23 02:02:39 UTC
baloo-widgets-18.12.2-1.fc29, dolphin-18.12.2-1.fc29, dolphin-plugins-18.12.2-1.fc29, kate-18.12.2-1.fc29, kdialog-18.12.2-1.fc29, keditbookmarks-18.12.2-1.fc29, kfind-18.12.2-1.fc29, khelpcenter-18.12.2-1.fc29, konqueror-18.12.2-2.fc29, konsole5-18.12.2-1.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-cf6c31ef35

Comment 26 Fedora Update System 2019-03-01 02:38:26 UTC
baloo-widgets-18.12.2-1.fc29, dolphin-18.12.2-1.fc29, dolphin-plugins-18.12.2-1.fc29, kate-18.12.2-1.fc29, kdialog-18.12.2-1.fc29, keditbookmarks-18.12.2-1.fc29, kfind-18.12.2-1.fc29, khelpcenter-18.12.2-1.fc29, konqueror-18.12.2-2.fc29, konsole5-18.12.2-1.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.